[arch-commits] Commit in rasqal/repos (4 files)
Evangelos Foutras
foutrelis at nymeria.archlinux.org
Mon Dec 30 08:44:05 UTC 2013
Date: Monday, December 30, 2013 @ 09:44:05
Author: foutrelis
Revision: 202985
archrelease: copy trunk to extra-i686, extra-x86_64
Added:
rasqal/repos/extra-i686/
rasqal/repos/extra-i686/PKGBUILD
(from rev 202984, rasqal/trunk/PKGBUILD)
rasqal/repos/extra-x86_64/
rasqal/repos/extra-x86_64/PKGBUILD
(from rev 202984, rasqal/trunk/PKGBUILD)
-----------------------+
extra-i686/PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
extra-x86_64/PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
Copied: rasqal/repos/extra-i686/PKGBUILD (from rev 202984, rasqal/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2013-12-30 08:44:05 UTC (rev 202985)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.30
+pkgrel=3
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr' 'util-linux')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+md5sums=('b12c5f9cfdb6b04efce5a4a186b8416b')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-release
+ make
+}
+
+check() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make -k check || true # still fails some checks
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
Copied: rasqal/repos/extra-x86_64/PKGBUILD (from rev 202984, rasqal/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD (rev 0)
+++ extra-x86_64/PKGBUILD 2013-12-30 08:44:05 UTC (rev 202985)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.30
+pkgrel=3
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr' 'util-linux')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+md5sums=('b12c5f9cfdb6b04efce5a4a186b8416b')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-release
+ make
+}
+
+check() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make -k check || true # still fails some checks
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
More information about the arch-commits
mailing list